"""
    schemas: Acknowledgement status sent by the surface platform to report
    receipt of message.
"""
acknowledgement_schema = {
    "type": "object",
    "properties": {
        "message_type": {
            "type": "string",
            "description": "Type of message",
            "example": "acknowledgement",
        },
        "acknowledged_message_ID": {
            "type": "string",
            "description": "Identifier of message received and executed with "
            + "success for mission plans sent by the Autonomy Engine.",
            "example": "02125022255-7bc8-11ed-a1eb-0242ac999999",
        },
        "status": {
            "type": "string",
            "enum": ["c2_received", "operator_approved_and_sent", "executed"],
            "description": "Highest level of acknowledgement. I.e."
            + " `c2_received`: Received by C2, `operator_approved_and_sent`"
            + " : Approved by operator and sent from C2->Platform,"
            + " `executed`: Executed by platform",
            "example": "executed by platform",
        },
    },
    "required": ["message_type", "acknowledged_message_ID", "status"],
}
